Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class AlertLog

`java.lang.Object
oracle.ovs.api.datamodel.AlertLog`

All Implemented Interfaces:
  java.io.Serializable

      public class AlertLog

extends java.lang.Object
implements java.io.Serializable

Alert log datamodel, use to show the alert log associated with a virtual machine.

See Also:
  Serialized Form

Constructor Summary
`AlertLog()`

Method Summary
`java.lang.String` | `getDetails()`
`java.lang.String` | `getOperation()`
`java.lang.String` | `getStatus()`
`java.lang.Long` | `getTime()`
`void` | `setDetails(java.lang.String details)`
`void` | `setOperation(java.lang.String operation)`
`void` | `setStatus(java.lang.String status)`
`void` | `setTime(java.lang.Long time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlertLog

    public AlertLog()

Method Detail

### setOperation

    public void setOperation(java.lang.String operation)

### getOperation

    public java.lang.String getOperation()

### setDetails

    public void setDetails(java.lang.String details)

### getDetails

    public java.lang.String getDetails()

### setStatus

    public void setStatus(java.lang.String status)

### getStatus

    public java.lang.String getStatus()

### setTime

    public void setTime(java.lang.Long time)

### getTime

    public java.lang.Long getTime()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.